| Qore FreetdsSqlUtil Module Reference 1.4.1

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
FreetdsSqlUtil::FreetdsColumn Class Reference

represents a FreeTDS-specific column More...

Inheritance diagram for FreetdsSqlUtil::FreetdsColumn:
[legend]

## Public Member Functions
| constructor (string n, string nt, *string qt, int sz, bool nul, *string dv, *string cm, softint bs)
| creates the column from the supplied arguments
softlist | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word More...
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getNativeTypeString ()
| returns a string giving the native type of the column
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...

## Public Attributes
int | byte_size
| byte size of the column

## Protected Member Functions
| constructor ()
| empty constructor for subclasses
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a FreeTDS-specific column

## Member Function Documentation

## ◆ getAddColumnSql()

softlist FreetdsSqlUtil::FreetdsColumn::getAddColumnSql | ( | AbstractTable | t | ) |

returns a list of sql strings that can be used to add the column to an existing table

Example:
  list l = col.getAddColumnSql(t);

Parameters

  t | the SqlUtil::AbstractTable object to modify

## ◆ getDdlName()

string FreetdsSqlUtil::FreetdsColumn::getDdlName | ( | string | name | ) |

returns the column name with quoting in case the column name is a reserved word

the name returned here will be used when executing DDL

## ◆ getModifySqlImpl()

list FreetdsSqlUtil::FreetdsColumn::getModifySqlImpl | ( | AbstractTable | t,
|  | AbstractColumn | col,
|  | *hash | opt
| ) |  |

returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned

Example:
  list l = col.getModifySql(t, newcol);

The column names are assumed to be equal.

Parameters

  t | the SqlUtil::AbstractTable object to modify
  col | the new column definition
  opt | column modification options (none are supported in this class)

Returns
  a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned

## ◆ getRenameSql()

string FreetdsSqlUtil::FreetdsColumn::getRenameSql | ( | AbstractTable | t,
|  | string | new_name
| ) |  |

returns a string that can be used to rename the column

Example:
  string str = col.getRenameSql(t, "new_name");

Parameters

  t | the SqlUtil::AbstractTable object to modify
  new_name | the new name for the column

Returns
  a string that can be used to rename the column